DWARF_GET_CIE_OF_FDE(3) | Library Functions Manual | DWARF_GET_CIE_OF_FDE(3)

# NAME

`dwarf_get_cie_of_fde` —
retrieve CIE descriptor

# LIBRARY

DWARF Access Library (libdwarf, -ldwarf)

# SYNOPSIS

`#include <libdwarf.h>`

int
`dwarf_get_cie_of_fde`(Dwarf_Fde fde, Dwarf_Cie *ret_cie, Dwarf_Error *err);

# DESCRIPTION

Function `dwarf_get_cie_of_fde`() retrieves the CIE descriptor associated with a given FDE descriptor.

Argument fde should reference a valid FDE descriptor.

Argument ret_cie should point to a location that will hold the returned CIE descriptor.

If argument err is not NULL, it will be used to store error information in case of an error.

# RETURN VALUES

Function `dwarf_get_cie_of_fde`() returns `DW_DLV_OK` when it succeeds. In case of an error, it returns `DW_DLV_ERROR` and sets the argument err.

# ERRORS

Function `dwarf_get_cie_of_fde`() can fail with:

[`DW_DLE_ARGUMENT`]
  Either of arugments fde or ret_cie was NULL.

# SEE ALSO

dwarf(3), dwarf_get_cie_info(3), dwarf_get_cie_index(3), dwarf_get_fde_at_pc(3), dwarf_get_fde_n(3)

May 22, 2011 | NetBSD 9.4